<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/tt/onlinemanual/100023" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">To define a query</Title>
		<Keyword ContextSensitive="No"><Level1>Queries</Level1>
			<Level2>define a query</Level2>
		</Keyword>
	</Header>
	<GeneralSection><List><ListIntro>To create a query, you can use:</ListIntro>
			<ListItem>Easy SQL</ListItem>
			<ListItem>The Text Manager</ListItem>
		</List>
		<GeneralSection><SectionTitle>Easy SQL</SectionTitle>
			<Paragraph class="Default">Easy SQL helps users with insufficient knowledge of the structure of the data model to define queries in a simple, menu-driven way.</Paragraph>
		</GeneralSection>
		<GeneralSection><SectionTitle>The Text Manager</SectionTitle>
			<Paragraph class="Default">You can use the Text Manager to create more complex queries. You can also use the Text Manager to modify queries that were previously defined with Easy SQL.</Paragraph>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<List><ListIntro>You can no longer maintain a query in Easy SQL, if you use one of the following in the query text:</ListIntro>
					<ListItem>an OR boolean operator</ListItem>
					<ListItem>a BETWEEN predicate</ListItem>
					<ListItem>a HAVING clause</ListItem>
					<ListItem>brackets</ListItem>
					<ListItem>combined fields</ListItem>
					<ListItem>wildcards</ListItem>
					<ListItem>numeric expressions</ListItem>
					<ListItem>string expressions</ListItem>
				</List>
			</Note>
		</GeneralSection>
	</GeneralSection>
	<RelatedTopics><SectionTitle>
                              Related topics
                           </SectionTitle>
		<RelTopic><Link href="/baanerp/tt/onlinemanual/100032" role="manual">To define a query with Easy SQL</Link>
		</RelTopic>
		<RelTopic><Link href="/baanerp/tt/onlinemanual/100036" role="manual">To add query table fields to a chart</Link>
		</RelTopic>
		<RelTopic><Link href="/baanerp/tt/onlinemanual/100037" role="manual">To define a query with the Text Manager</Link>
		</RelTopic>
		<RelTopic>The <Emphasis>
                                 ERP LN SQL</Emphasis> section in the <DocRef>ERP LN 6.1 Programmer's Guide</DocRef>
		</RelTopic>
	</RelatedTopics>
</ManualTopic>
